Page MenuHomePhabricator

[Bug] Segmentation fault when close app with created image
Closed, ResolvedPublic6 Story Points

Description

Reproduce:

  1. Create empty project
  2. Add layout, Part-Image
  3. Click 'x' on application to close whole app
  4. Click on OK in popup to save changes

Actual result:
Program received signal SIGSEGV, Segmentation fault.

Expected result:
App should be simply closed

bt:

#0 resource_name_validator_helper (data=0x128f820, event=0x7fffffffdd40)

at ../../src/bin/common/validator.c:98

#1 0x00007ffff5fbf19c in _eo_base_event_callback_call (

obj_id=<optimized out>, pd=0x117a8d0, 
desc=0x700ea0 <_ELM_ENTRY_EVENT_VALIDATE>, event_info=<optimized out>)
at lib/eo/eo_base_class.c:1176

#2 0x00007ffff5fbc82b in eo_event_callback_call (

obj=obj@entry=0x4000007ae000819a, 
desc=0x700ea0 <_ELM_ENTRY_EVENT_VALIDATE>, 
desc@entry=0x7ffff7b92920 <_ELM_ENTRY_EVENT_VALIDATE>, 
event_info=event_info@entry=0x7fffffffde20) at lib/eo/eo_base.eo.c:142

#3 0x00007ffff77b734e in _validate (obj=obj@entry=0x4000007ae000819a)

at lib/elementary/elm_entry.c:303

#4 0x00007ffff77bb4fa in _entry_changed_handle (data=0x4000007ae000819a,

event=0x7ffff7b92940 <_ELM_ENTRY_EVENT_CHANGED>)
at lib/elementary/elm_entry.c:2137

#5 0x00007ffff6274a09 in _edje_emit_cb (prop=<optimized out>, data=0x0,

src=0xbad50c "elm.text", sig=0xc8532c "entry,changed", ed=0x1162090)
at lib/edje/edje_program.c:1484

#6 _edje_emit_handle (ed=0x1162090, sig=0xc8532c "entry,changed",

src=0xbad50c "elm.text", sdata=0x0, prop=0 '\000')
at lib/edje/edje_program.c:1413

#7 0x00007ffff626faa5 in _edje_object_message_signal_process (obj=0x0

QA_Igor created this task.Jul 11 2016, 9:37 AM
QA_Igor renamed this task from [Bug] Segmentation fault when create new project while saving previous project to [Bug] Segmentation fault when close app with created image.Jul 11 2016, 10:12 AM
QA_Igor updated the task description. (Show Details)
QA_Igor removed a subscriber: QA_Igor.
NikaWhite edited projects, added Eflete (Eflete 0.7); removed Eflete.
NikaWhite moved this task from Backlog to Doing on the Eflete (Eflete 0.7) board.
NikaWhite set the point value for this task to 6.Jul 14 2016, 3:57 AM
NikaWhite moved this task from Doing to Done on the Eflete (Eflete 0.7) board.
NikaWhite moved this task from Done to Review on the Eflete (Eflete 0.7) board.Jul 14 2016, 4:48 AM
QA_Igor moved this task from Review to Done on the Eflete (Eflete 0.7) board.Jul 15 2016, 4:39 AM
rimmed closed this task as Resolved.Jul 18 2016, 4:15 AM